<?php
add_action('admin_init', 'scc_page_options_init');
add_action('save_post', 'scc_page_options_save_custom_fields');

$postTypes = array(
    'posts' => 'post',
    'pages' => 'page',
    'services' => 'scc-services',
    'testimonials' => 'scc-testimonials',
    'health_conditions' => 'scc-health-cond'
);

function scc_page_options_init(){
    scc_page_options_create_custom_fields();
}

function scc_page_options_create_custom_fields(){
    global $postTypes;

    foreach($postTypes as $key=>$type){
        add_meta_box('Page Options', 'Page Options', 'scc_page_options_meta', $type, 'normal', 'high');
    }
}

function scc_page_options_meta(){
    global $post;
    global $postTypes;

    $post_type = get_post_type($post);
    $custom = get_post_custom($post->ID);

    $layoutOptions = array(
        'default'       => 'Default',
        'full_width'    => 'Full Width',
        'sidebar_right' => 'Sidebar Right',
        'sidebar_left'  => 'Sidebar Left'
    );

    //TODO: find a way to get list of all widget area names
    $sidebarOptions = array(
        'none' => 'None'
    );

    $headerStyleOptions = array(
        "normal" => "Normal",
        "transparent" => "Transparent",
        "transparent2" => "Transparent (alt)"
    );

    $defaults = array(
        "layout" => 'default',
        "sidebar" => 'none',
        "header_style" => 'normal'
    );

    if($post_type==$postTypes['services'] || $post_type==$postTypes['health_conditions']){
        $defaults['header_style'] = "transparent";
    }

    $layout = isset($custom['page_layout'][0]) ? $custom['page_layout'][0] : $defaults['layout'];
    $sidebar = isset($custom['page_sidebar'][0]) ? $custom['page_sidebar'][0] : $defaults['sidebar'];
    $header_style = isset($custom['page_header_style'][0]) ? $custom['page_header_style'][0] : $defaults['header_style'];

    ?>
    <p><strong style="margin-right: 1em;">Layout</strong>
        <select name="page_layout">
        <?php foreach($layoutOptions as $key=>$value): ?>
            <option value="<?php echo $key;?>"<?php if($key==$layout){ echo ' selected';}?>><?php echo $value;?></option>
        <?php endforeach; ?>
        </select>
    </p>

    <p><strong style="margin-right: 1em;">Sidebar</strong>
        <select name="page_sidebar">
        <?php foreach($sidebarOptions as $key=>$value): ?>
            <option value="<?php echo $key;?>"<?php if($key==$sidebar){ echo ' selected';}?>><?php echo $value;?></option>
        <?php endforeach; ?>
        </select>
    </p>

    <p><strong style="margin-right: 1em;">Header</strong>
        <select name="page_header_style">
        <?php foreach($headerStyleOptions as $key=>$value): ?>
            <option value="<?php echo $key;?>"<?php if($key==$header_style){ echo ' selected';}?>><?php echo $value;?></option>
        <?php endforeach; ?>
        </select>
    </p>
    <?php
}

function scc_page_options_save_custom_fields(){
    global $post;

    if(isset($_POST['save']) || isset($_POST['publish'])){
        update_post_meta($post->ID, 'page_layout', $_POST['page_layout']);
        update_post_meta($post->ID, 'page_sidebar', $_POST['page_sidebar']);
        update_post_meta($post->ID, 'page_header_style', $_POST['page_header_style']);
    }
}