<?php

$health_conditions = array(
    "title" => "Health Conditions",
    "title_singular" => "Health Condition",
    "slug"  => "scc-health-cond"
);
$scc_health_conditions_taxonomy = "scc-health-conditions";

add_action('init', 'register_cpt_scc_health_conditions');
add_action('admin_menu', 'scc_health_conditions_menu');
add_action('admin_init', 'scc_health_conditions_init');
add_action('save_post_scc-health-conditions', 'scc_health_conditions_save_custom_fields');

function register_cpt_scc_health_conditions(){
    global $health_conditions;
    global $scc_health_conditions_taxonomy;

    $labels = array(
        'name' => _x( $health_conditions['title'], $health_conditions['slug'] ),
        'singular_name' => _x( $health_conditions['title_singular'], $health_conditions['slug']),
        'add_new' => _x( 'Add New', $health_conditions['slug'] ),
        'add_new_item' => _x( 'Add New ' . $health_conditions['title_singular'], $health_conditions['slug'] ),
        'edit_item' => _x( 'Edit ' . $health_conditions['title_singular'], $health_conditions['slug'] ),
        'new_item' => _x( 'New ' . $health_conditions['title_singular'], $health_conditions['slug'] ),
        'view_item' => _x( 'View ' . $health_conditions['title_singular'], $health_conditions['slug'] ),
        'search_items' => _x( 'Search ' . $health_conditions['title'], $health_conditions['slug'] ),
        'not_found' => _x( 'No ' . $health_conditions['title'] . ' found', $health_conditions['slug'] ),
        'not_found_in_trash' => _x( 'No ' . $health_conditions['title'] . ' found in Trash', $health_conditions['slug'] ),
        'parent_item_colon' => _x( 'Parent ' . $health_conditions['title'], $health_conditions['slug'] ),
        'menu_name' => _x( $health_conditions['title'], $health_conditions['slug'] ),
    );

    $args = array(
        'labels'              => $labels,
        'hierarchical'        => false,
        'description'         => $health_conditions['title'] . ' Articles',
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
        'taxonomies'          => array( $scc_health_conditions_taxonomy ),
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'menu_position'       => 9,
        'menu_icon'           => 'dashicons-heart',
        'publicly_queryable'  => true,
        'exclude_from_search' => false,
        'rewrite'             => array( 'slug' => 'health-conditions', 'with_front' => false ),
        'has_archive'         => false,
        'query_var'           => true,
        'can_export'          => true,
        'capability_type'     => 'post'
    );

    /*register_taxonomy(
        $scc_health_conditions_taxonomy,
        $health_conditions['slug'],
        array(
            'label' => __( 'Testimonial' ),
            'hierarchical' => true,
            'rewrite' => array("slug" => 'scc-testimonial'),
            'query_var' => true,
            'has_archive' => true,
            'show_admin_column' => true
        )
    );
    flush_rewrite_rules();*/

    register_post_type( $health_conditions['slug'], $args );
}

function scc_health_conditions_menu(){

}

function scc_health_conditions_init(){
    scc_health_conditions_create_custom_fields();
}

/* =================================
 * ***** CUSTOM FIELDS ******
 * =================================
 */

//change "title" post display text so it indicates you need to enter a name
add_filter('gettext','scc_health_conditions_custom_enter_title');//change post title help-display text
function scc_health_conditions_custom_enter_title( $input ) {

    global $post_type;
    global $health_conditions;
    global $scc_health_conditions_taxonomy;

    $display_text = "Enter Health Condition Name";

    if( is_admin() && 'Enter title here' == $input && ($post_type == $scc_health_conditions_taxonomy) ){
        if($health_conditions['slug'] == $post_type){
            return $display_text;
        }
    }

    return $input;
}

function scc_health_conditions_create_custom_fields(){
    global $health_conditions;

    //add stuff here
}

function scc_health_conditions_save_custom_fields(){
    global $post;
    global $health_conditions;
	$post_type = get_post_type($post);

	if(isset($_POST['save']) || isset($_POST['publish']) && $post_type==$health_conditions['slug']){
        //update_post_meta($post->ID, 'service_icon', $_POST['service_icon']);
    }
}