<?php

$method = (isset($_POST['method'])) ? $_POST['method'] : false;
$options = (isset($_POST['options'])) ? $_POST['options'] : [];

$methodsList = array(
    "getPosts" => "scc_get_posts"
);

foreach($methodsList as $m){
    if($method==$m){
        call_user_func($method,$options);
        break;
    }
}

//SCC_GET_POSTS
function scc_get_posts($args){
    $postsAry = [];
    $qryArgs = array(
        "posts_per_page"    => -1,
        "order"    => "ASC"
    );

    //Check limit
    if(isset($args['limit'])){
        $qryArgs['posts_per_page'] = $args['limit'];
    }

    //Check if getting categories
    if(isset($args['category'])){
        $qryArgs['category_name'] = $args['category'];
    }

    //Check if getting by IDs
    if(isset($args['id'])){
        $ids = explode(',',$args['id']);
        $qryArgs['post__in'] = $ids;
    }

    $qryPosts = new WP_Query($qryArgs);

    if ($qryPosts->have_posts()):
        while ($qryPosts->have_posts()) : $qryPosts->the_post();
            global $post;
            setup_postdata($post);

            $id = get_the_ID();

            $post_image = wp_get_attachment_image_src( get_post_thumbnail_id($id), 'small' );
            $post_image = $post_image['0'];

            //Change excerpt "Read More" text
            add_filter('excerpt_length', 'scc_new_excerpt_length');
            add_filter('excerpt_more', 'scc_posts_new_excerpt_more');

            $currItem = array(
                "id" => $id,
                "title" => get_the_title(),
                "date" => get_the_date(),
                "author" => get_the_author(),
                "author_picture" => get_avatar_url( get_the_author_meta( 'ID' ), array(32) ),
                "image" => $post_image,
                "excerpt" => get_the_excerpt(),
                "link" => get_the_permalink()
            );
            array_push($postsAry,$currItem);
        endwhile;
        wp_reset_postdata();
    endif;
    generate_jsonp($postsAry);
}

wp_die();//required for wordpress to terminate script

function scc_new_excerpt_length($length) {
    return 30;
}

function scc_posts_new_excerpt_more($more) {
    return '&hellip;';
}

function generate_jsonp($data) {
    //This allows all domains (including local) to access the application JSON
    //header("Access-Control-Allow-Origin: *");

    header('Content-type: application/json; charset=utf-8');

    echo is_json($data) ? $data : json_encode($data);
}

function is_json($str){
    if(is_string($str)){
        json_decode($str);
        return (json_last_error() == JSON_ERROR_NONE);
    }else{
        return false;
    }
}
