<?php
    $page_options = scc_get_page_options();

    //determine if page should have transparent header
    $imagesUrl = get_template_directory_uri() . '/images/logos/svg/';
    $logo = array(
        "main"        => $imagesUrl . "logo.svg",
        "transparent" => $imagesUrl . "logo_white.svg",
        "sticky"      => $imagesUrl . "logo_white2.svg"
    );

    $headerClassesAry = array('site-header');

    if(isset($page_options['header_style'])){
        if($page_options['header_style']=="transparent"){
            array_push($headerClassesAry,"site-header__transparent");
        }
        else if($page_options['header_style']=="transparent"){
            array_push($headerClassesAry,"site-header__transparent2");
        }
    }

    $headerClasses = implode(" ",$headerClassesAry);
?>
<header id="masthead" class="<?php echo $headerClasses;?>" role="banner">
    <a href="<?php echo home_url()?>">
        <?php
            $activeClass = "";
            if(is_front_page()){
                $activeClass = " current-menu-item";
            }
        ?>
        <img class="logo logo-main<?php echo $activeClass; ?>" src="<?php echo $logo['main']; ?>" alt="<?php echo $siteName . " logo";?>">
        <img class="logo logo-transparent<?php echo $activeClass; ?>" src="<?php echo $logo['transparent']; ?>" alt="<?php echo $siteName . " logo";?>">
        <img class="logo logo-sticky<?php echo $activeClass; ?>" src="<?php echo $logo['sticky']; ?>" alt="<?php echo $siteName . " logo";?>">
    </a>
    <nav role="navigation" class="navigation">
        <div class="btn-nav main-nav-mobile-btn">
            <div class="hamburger-button">
                <div class="hamburger-button-dividers">
                    <span></span>
                    <span></span>
                    <span></span>
                </div>
            </div>
            <div class="nav-main">
                <div class="nav-mobile-drawer-header">
                    <div class="nav-mobile-drawer-header__profile">
                        <div class="nav-mobile-drawer-header__profile--icon"></div>
                        <div class="nav-mobile-drawer-header__profile--username"><?php echo $siteName;?></div>
                    </div>
                </div>

                <div class="nav-links">
                    <?php wp_nav_menu( array(
                        'theme_location' => 'header-menu',
                        'menu_class'     => 'nav-menu',
                        'container'      => ''
                    ) ); ?>
                    <div class="clear-float"></div>
                </div>
            </div>
        </div>
    </nav>
    <div class="header-text show-mobile"><?php if(is_front_page()){ echo $siteName; }else{ echo get_the_title(); }?></div>
    <div class="clearFix"></div>
</header><!-- #masthead .site-header -->