<?php
/**
 * The template for displaying Services post type single posts and attachments
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header();
$page_options = scc_get_page_options();
?>
    <div id="primary" class="content-area">
        <div id="content" class="site-content" role="main">
            <div id="post" class="service__single">
                <?php
                // Start the loop.
                while ( have_posts() ) : the_post();

                    /*
                     * Include the post format-specific template for the content. If you want to
                     * use this in a child theme, then include a file called called content-___.php
                     * (where ___ is the post format) and that will be used instead.
                     */
                    $id = $post->ID;

                    $customFields = get_post_custom($id);

                    $image = wp_get_attachment_image_src( get_post_thumbnail_id($id), 'full' );
                    $image = $image['0'];

                    $content = apply_filters('the_content',get_the_content());

                    $healthCondition = array(
                        "id"                => $id,
                        "name"              => get_the_title(),
                        "content"           => $content,
                        "excerpt"           => get_the_excerpt(),
                        "image"             => $image
                    );
                    ?>
                    <div class="cover-image--pageTop" style="background-image: url('<?php echo $healthCondition['image'];?>'); background-position: center center">
                        <div class="wrapper">
                            <div class="cover-image_textCont">
                                <div class="cover-image_textCont--width">
                                    <div class="health-condition__single--headerText">
                                        <div class="dual-title--top" style="">Health Conditions</div>
                                        <h1 class="dual-title--bottom"><?php echo $healthCondition['name'];?></h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php if(isset($page_options['layout']) && $page_options['layout']=="default"): ?>
                        <section class="section-plain theme0 section-left">
                            <div class="wrapper padding-default">
                                <div class="section-content">
                    <?php endif;
                                echo $healthCondition['content'];
                    if(isset($page_options['layout']) && $page_options['layout']=="default"): ?>
                                </div>
                            </div>
                        </section>
                    <?php endif;?>
                    <?php
                    // End the loop.
                endwhile;
                ?>
            </div>
        </div>
    </div>

<?php get_footer(); ?>