<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header();
$page_options = scc_get_page_options();
?>
<div id="primary" class="content-area">
    <div id="content" class="site-content" role="main">
        <div id="post">
            <?php
            // Start the loop.
            while ( have_posts() ) : the_post();
                global $post;
                setup_postdata($post);

                $post_image = wp_get_attachment_image_src( get_post_thumbnail_id($id), 'small' );
                $post_image = $post_image['0'];
                $categoriesTmp = get_the_category();
                $categories = array();

                foreach($categoriesTmp as $cat){
                    $link = get_category_link($cat->cat_ID);
                    array_push($categories,'<a href="' . $link . '">' . $cat->name . '</a>');
                }

                $categories = implode(', ',$categories);

                $content = apply_filters('the_content',get_the_content());
                ?>
                <article>
                    <!-- Cover Image -->
                    <section>
                        <?php
                        $innerHtml = '<div class="blog-single--title"><h1>' . get_the_title() . '</h1><div>' . get_the_date() . '<span class="divider">|</span>' . $categories . '<span class="divider">|</span> by ' . get_the_author() . '</div></div>';
                        echo do_shortcode('[cover_image image="' . $post_image . '" align="center"]' . $innerHtml . '[/cover_image]');
                        ?>
                    </section>
                    <!-- END Cover Image -->
                    <div class="blog-post">
                        <div class="blog-post-content">
                            <div class="blog-body">
                                <?php if(isset($page_options['layout']) && $page_options['layout']=="default"): ?>
                                <section class="section-plain theme0 section-left">
                                    <div class="wrapper padding-default">
                                        <div class="section-content">
                                <?php endif;
                                        echo $content;
                                if(isset($page_options['layout']) && $page_options['layout']=="default"): ?>
                                        </div>
                                    </div>
                                </section>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>
                </article>
                <?php
                comments_template();

                // End the loop.
            endwhile;
            wp_reset_postdata();
            ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>
