<?php
/**
 * Template Name: Blog
 * Description: Displays list of blog posts
 */
get_header();

$num_columns = 6;
$blog_header_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
$blog_header_image = $blog_header_image['0'];
$page_title = get_the_title();
$categories = get_categories();

?>
<div id="primary" class="content-area" ng-app="scc.posts">
    <div id="content" class="site-content" role="main">
        <div id="posts">
            <section>
                <?php
                $shortcode = '[cover_image image="' . $blog_header_image . '" title="' . $page_title . '"][/cover_image]';
                echo do_shortcode($shortcode);
                ?>
            </section>
            <section class="section-plain padding-small">
                <ul class="menu-list blog-category-menu">
                <?php foreach($categories as $category) :?>
                    <li><a class="change-post-category" ng-click="getPosts(ShowBy.CATEGORY,'<?php echo $category->slug;?>')" ng-class="{selected: selected=='<?php echo $category->slug;?>'}"><?php echo $category->name;?></a></li>
                <?php endforeach; ?>
                    <li style="float: right;"><a class="change-post-category" ng-click="getPosts(ShowBy.ALL)" ng-class="{selected: selected==ShowBy.ALL}">Show All</a></li>
                    <li style="float: right;"><a class="change-post-category" ng-click="getPosts(ShowBy.RECENT)" ng-class="{selected: selected==ShowBy.RECENT}">Recent</a></li>
                    <div class="clearFix"></div>
                </ul>
            </section>
            <section class="section-plain theme4 padding-medium" ng-controller="posts">
                <div class="grid post__cards">

                    <!-- if(($count % $num_columns)==1): -->
                    <div class="row col-spacing4">
                        {{posts | json}}
                        <div ng-repeat="post in posts()" class="col<?php echo $num_columns;?>" ng-cloak>
                            <a href="{{post.link}}">
                                <article class="post__card">
                                    <div class="post__card--image" ng-style="{'background-image': 'url(' + post.image + ')'}"></div>
                                    <div class="post__card--content">
                                        <h1>{{post.title}}</h1>
                                        <div class="post__card--date">{{post.date}}</div>
                                        <div class="post__card--excerpt" ng-bind-html="post.excerpt"></div>
                                        <div class="post__card--divider"></div>
                                        <div class="post__card--author">
                                            <!-- TODO: get author image -->
                                            <img src="{{post.author_picture}}" alt="{{post.author}}">
                                            <span>{{post.author}}</span>
                                        </div>
                                    </div>
                                </article>
                            </a>
                        </div>
                    </div>
                <!-- if((($count % $num_columns)==0) || ($count==count($blog_posts))): -->
                </div>
            </section>
        </div>
    </div>
</div>

<?php get_footer(); ?>
